# Uses of Class
org.apache.lucene.analysis.miscellaneous.ConditionalTokenFilterFactory

Packages that use ConditionalTokenFilterFactory
Package
Description
org.apache.lucene.analysis.custom
A general-purpose Analyzer that can be created with a builder-style API.
org.apache.lucene.analysis.miscellaneous
Miscellaneous Tokenstreams.

- ## Uses of ConditionalTokenFilterFactory in org.apache.lucene.analysis.custom

  Methods in org.apache.lucene.analysis.custom with parameters of type ConditionalTokenFilterFactory
  Modifier and Type
  Method
  Description
  `CustomAnalyzer.ConditionBuilder`
  CustomAnalyzer.Builder.`when(ConditionalTokenFilterFactory factory)`
  Add a `ConditionalTokenFilterFactory` to the analysis chain
  Method parameters in org.apache.lucene.analysis.custom with type arguments of type ConditionalTokenFilterFactory
  Modifier and Type
  Method
  Description
  `CustomAnalyzer.ConditionBuilder`
  CustomAnalyzer.Builder.`when(Class<? extends ConditionalTokenFilterFactory> factory, String... params)`
  Add a `ConditionalTokenFilterFactory` to the analysis chain
  `CustomAnalyzer.ConditionBuilder`
  CustomAnalyzer.Builder.`when(Class<? extends ConditionalTokenFilterFactory> factory, Map<String,String> params)`
  Add a `ConditionalTokenFilterFactory` to the analysis chain

- ## Uses of ConditionalTokenFilterFactory in org.apache.lucene.analysis.miscellaneous

  Subclasses of ConditionalTokenFilterFactory in org.apache.lucene.analysis.miscellaneous
  Modifier and Type
  Class
  Description
  `class`
  `ProtectedTermFilterFactory`
  Factory for a `ProtectedTermFilter`